From: Sean Chiang <sean_chiang@openmoko.com>
Subject: [PATCH] multiline fixlet

This patch remove a conditional statement which is the cause of failed
when processing multi-line responds.

Signed-off-by: Jim Huang <jserv@openmoko.org>
---
 gsm/src/gsmd/atcmd.c |   27 +++------------------------
 1 file changed, 3 insertions(+), 24 deletions(-)

Index: gsm/src/gsmd/atcmd.c
===================================================================
--- gsm.orig/src/gsmd/atcmd.c	2007-08-31 16:15:30.000000000 +0800
+++ gsm/src/gsmd/atcmd.c	2007-09-17 23:44:50.000000000 +0800
@@ -299,30 +299,9 @@
 			/* contine, not 'B' */
 		}
 
-		if (cmd) {
-			if (cmd->buf[2] != '+' && strchr(g->vendorpl->ext_chars, cmd->buf[2]) == NULL) {
-				gsmd_log(GSMD_ERROR, "extd reply to non-extd command?\n");
-				return -EINVAL;
-			}
-
-			/* if we survive till here, it's a valid extd response
-			 * to an extended command and thus Case 'A' */
-
-			/* it might be a multiline response, so if there's a previous
-			   response, send out mlbuf and start afresh with an empty buffer */
-			if (g->mlbuf_len) {
-				if (!cmd->cb) {
-					gsmd_log(GSMD_NOTICE, "command without cb!!!\n");
-				} else {
-					DEBUGP("Calling cmd->cb()\n");
-					cmd->resp = g->mlbuf;
-					rc = cmd->cb(cmd, cmd->ctx, cmd->resp);
-					DEBUGP("Clearing mlbuf\n");
-				}
-				g->mlbuf_len = 0;
-			}
-
-			/* the current buf will be appended to mlbuf below */
+		if (cmd && cmd->buf[2] != '+' && strchr(g->vendorpl->ext_chars, cmd->buf[2]) == NULL) {
+			gsmd_log(GSMD_ERROR, "extd reply to non-extd command?\n");
+			return -EINVAL;
 		}
 	} else {
 		if (!strcmp(buf, "RING") ||
